<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Donation Search Results by Value Range</title>
</head>
<body>

<h1>Donation Search Results (by Value Range)</h1>

<?php
// Database connection settings
$servername = "localhost";
$username = "lnmwinyi";
$password = "Kanairo2022!";
$dbname = "lnmwinyi_assign9donation";

// Establish the database connection
$dbc = mysqli_connect($servername, $username, $password, $dbname);

// Check if the connection was successful
if (!$dbc) {
    die('Could not connect to MySQL: ' . mysqli_connect_error());
}


// Get the donation range values from the form
if (isset($_POST['search_by_value'])) {
    // Sanitize user inputs
    $min_value = mysqli_real_escape_string($dbc, $_POST['min_value']);
    $max_value = mysqli_real_escape_string($dbc, $_POST['max_value']);

    // Ensure that min_value is less than or equal to max_value
    if ($min_value <= $max_value) {
        // Build the SQL query to search for donations within the specified value range
        $query = "SELECT * FROM `donation` WHERE donation_value BETWEEN '$min_value' AND '$max_value'";

        // Run the query
        $result = mysqli_query($dbc, $query);

        // Check if any records were found
        if (mysqli_num_rows($result) > 0) {
            echo "<h2>Search Results:</h2>";
           echo "<p>Found " . mysqli_num_rows($result) . " donation(s) between $$min_value and $$max_value.</p>";
            echo $results;
            // Loop through and display each donation record
            while ($row = mysqli_fetch_assoc($result)) {
                echo "<p><strong>Donor:</strong> " . $row['donor_first_name'] . " " . $row['donor_last_name'] . "<br>";
                echo "<strong>Donation Type:</strong> " . $row['donation_type'] . "<br>";
                echo "<strong>Value:</strong> $" . $row['donation_value'] . "<br>";
                echo "<strong>Comments:</strong> " . $row['donation_comments'] . "<br>";
                echo "<strong>Date:</strong> " . $row['donation_date'] . "</p>";
            }
        } else {
            echo "<p>No donations found in the specified value range.</p>";
        }
    } else {
        echo "<p>The minimum value cannot be greater than the maximum value.</p>";
    }
}

// Close the database connection
mysqli_close($dbc);
?>

<!-- Link to go back to the search form -->
<a href="form.php">Go back to the search form</a>

</body>
</html>